### Enumeration

# Gtk BaselinePosition

#### Declaration

    enum Gtk.BaselinePosition

#### Description [src]

Baseline position in a row of widgets.

Whenever a container has some form of natural row it may align children in that row along a common typographical baseline. If the amount of vertical space in the row is taller than the total requested height of the baseline-aligned children then it can use a `GtkBaselinePosition` to select where to put the baseline inside the extra available space.

#### Members

Name | Description
--- | ---
`GTK_BASELINE_POSITION_TOP` | Align the baseline at the top.
`GTK_BASELINE_POSITION_CENTER` | Center the baseline.
`GTK_BASELINE_POSITION_BOTTOM` | Align the baseline at the bottom.